Skip to content
Start here

Store catalog credentials

client.R2DataCatalog.Credentials.New(ctx, bucketName, params) (*CredentialNewResponse, error)
POST/accounts/{account_id}/r2-catalog/{bucket_name}/credential

Store authentication credentials for a catalog. These credentials are used to authenticate with R2 storage when performing catalog operations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
ParametersExpand Collapse
bucketName string

Specifies the R2 bucket name.

maxLength63
minLength3
params CredentialNewParams
AccountID param.Field[string]

Path param: Use this to identify the account.

Token param.Field[string]

Body param: Provides the Cloudflare API token for accessing R2.

ReturnsExpand Collapse
type CredentialNewResponse interface{…}

Store catalog credentials

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/r2_data_catalog"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  credential, err := client.R2DataCatalog.Credentials.New(
    context.TODO(),
    "my-data-bucket",
    r2_data_catalog.CredentialNewParams{
      AccountID: cloudflare.F("0123456789abcdef0123456789abcdef"),
      Token: cloudflare.F("your-cloudflare-api-token-here"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", credential)
}
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}